org.bdgenomics.adam.projections

# TranscriptEffectField

###
Related Doc: package projections

#### object TranscriptEffectField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TranscriptEffectField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### val alternateAllele: SchemaVal

10. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### val biotype: SchemaVal

13. #### val cdnaLength: SchemaVal

14. #### val cdnaPosition: SchemaVal

15. #### val cdsLength: SchemaVal

16. #### val cdsPosition: SchemaVal

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### val distance: SchemaVal

19. #### val effects: SchemaVal

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### val featureId: SchemaVal

23. #### val featureType: SchemaVal

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### val geneId: SchemaVal

26. #### val geneName: SchemaVal

27. #### val genomicHgvs: SchemaVal

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### final def maxId: Int

    Definition Classes
      Enumeration

32. #### val messages: SchemaVal

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

35. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### val proteinHgvs: SchemaVal

39. #### val proteinLength: SchemaVal

40. #### val proteinPosition: SchemaVal

41. #### val rank: SchemaVal

42. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

43. #### val recordSchema: Schema

    The schema that this enumeration represents.

    The schema that this enumeration represents.

    Definition Classes
      FieldEnumeration

44. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

45. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

46. #### val total: SchemaVal

47. #### val transcriptHgvs: SchemaVal

48. #### def values: ValueSet

    Definition Classes
      Enumeration

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped